monolog:
    handlers:
        main:
            type: fingers_crossed
            action_level: critical
            handler: deduplicated
            excluded_404s:
                # regex: exclude all 404 errors from the logs
                - ^/
        deduplicated:
            type:    deduplication
            handler: swift
        swift:
            type:       swift_mailer
            from_email: 'error@mymosaic.ca'
            to_email:   'mark.woynarski@nobletdesign.com'
            # or list of recipients
            # to_email:   ['dev1@example.com', 'dev2@example.com', ...]
            subject:    'ERROR: RMC Public %%message%%'
            level:      critical
            formatter:  monolog.formatter.html
            content_type: text/html
        grouped:
            type:    group
            members: [streamed, deduplicated]
        streamed:
            type:  stream
            path:  '%kernel.logs_dir%/%kernel.environment%.log'
            level: debug
        console:
            type: console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine"]
        deprecation:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.deprecations.log"
        deprecation_filter:
            type: filter
            handler: deprecation
            max_level: info
            channels: ["php"]
